<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.yanzhu</groupId>
        <artifactId>yanzhu</artifactId>
        <version>${revision}</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>yanzhu-module-pay</artifactId>
    <packaging>jar</packaging>

    <name>${project.artifactId}</name>
    <description>
        pay 模块，我们放支付业务，提供业务的支付能力。
        例如说：商户、应用、支付、退款等等
    </description>


    <dependencies>
        <dependency>
            <groupId>com.yanzhu</groupId>
            <artifactId>yanzhu-module-system</artifactId>
            <version>${revision}</version>
        </dependency>

        <!-- 业务组件 -->
        <dependency>
            <groupId>com.yanzhu</groupId>
            <artifactId>yanzhu-spring-boot-starter-biz-tenant</artifactId>
        </dependency>

        <!-- Web 相关 -->
        <dependency>
            <groupId>com.yanzhu</groupId>
            <artifactId>yanzhu-spring-boot-starter-security</artifactId>
        </dependency>
        <dependency>
            <groupId>com.yanzhu</groupId>
            <artifactId>yanzhu-spring-boot-starter-web</artifactId>
        </dependency>

        <!-- DB 相关 -->
        <dependency>
            <groupId>com.yanzhu</groupId>
            <artifactId>yanzhu-spring-boot-starter-mybatis</artifactId>
        </dependency>

        <dependency>
            <groupId>com.yanzhu</groupId>
            <artifactId>yanzhu-spring-boot-starter-redis</artifactId>
        </dependency>

        <!-- Job 定时任务相关 -->
        <dependency>
            <groupId>com.yanzhu</groupId>
            <artifactId>yanzhu-spring-boot-starter-job</artifactId>
        </dependency>

        <!-- Test 测试相关 -->
        <dependency>
            <groupId>com.yanzhu</groupId>
            <artifactId>yanzhu-spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>

        <!-- 工具类相关 -->
        <dependency>
            <groupId>com.yanzhu</groupId>
            <artifactId>yanzhu-spring-boot-starter-excel</artifactId>
        </dependency>

        <!-- 三方云服务相关 -->
        <dependency>
            <groupId>com.alipay.sdk</groupId>
            <artifactId>alipay-sdk-java</artifactId>
            <version>4.40.607.ALL</version>
        </dependency>
        <dependency>
            <groupId>com.github.binarywang</groupId>
            <artifactId>weixin-java-pay</artifactId>
        </dependency>

        <!-- 工具类相关 -->
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
        </dependency>

    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.14.0</version>
                <configuration>
                    <annotationProcessorPaths>
                        <path>
                            <groupId>org.springframework.boot</groupId>
                            <artifactId>spring-boot-configuration-processor</artifactId>
                            <version>2.7.18</version>
                        </path>
                        <path>
                            <groupId>org.projectlombok</groupId>
                            <artifactId>lombok</artifactId>
                            <version>1.18.42</version>
                        </path>
                        <path>
                            <groupId>org.projectlombok</groupId>
                            <artifactId>lombok-mapstruct-binding</artifactId>
                            <version>0.2.0</version>
                        </path>
                        <path>
                            <groupId>org.mapstruct</groupId>
                            <artifactId>mapstruct-processor</artifactId>
                            <version>1.6.3</version>
                        </path>
                    </annotationProcessorPaths>
                </configuration>
            </plugin>
        </plugins>
    </build>



</project>
